<template>
	<view class="traineeList">
		<view v-for="(x,i) in list" :key='i' class="item">
			<view style="display: flex;align-items: center;">
				<u-avatar :src="x.Photo" size='70' mode="circle"></u-avatar>
				<view class="chaochu1" style="margin-left: 5px;">{{x.UserName}}</view>
			</view>
			<view style="width: 100px;text-align: right;">
				{{x.StartStudyDate}} - {{x.EndStudyDate}}
			</view>
		</view>
	</view>
</template>

<script>
	export default{
		data(){
			return{
				mainColor: '',
				secondary: '',
				list:[],
				
			}
		},
		onLoad(options) {
			if(options && options.list){
				this.list = JSON.parse(decodeURIComponent(options.list))
			}
		},
		created() {
			this.mainColor = this.$uiConfig.mainColor;
			this.secondary = this.$uiConfig.secondary;
			uni.setNavigationBarTitle({
				title: '学员列表'
			});
		
		},
		methods:{
		}
	}
</script>

<style>
	.traineeList{
		width: 100%;
		height: 100vh;
		background: #FFF;
		font-family: aa;
	}
.item{
	width: 100%;
	height: 65px;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
	border-bottom: 1px solid #E2E2E2;
	padding: 15px;
	font-size: 14px;
	color: #111111;
}
.chaochu1{
		white-space: nowrap;text-overflow: ellipsis;overflow: hidden;width: calc(100vw - 180px);
	}
</style>
